package seniordesign.harambe;

import android.os.Bundle;
import android.support.annotation.Nullable;
import android.support.v4.app.Fragment;
import android.support.v7.app.ActionBar;
import android.support.v7.app.AppCompatActivity;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

import java.util.ArrayList;


public class DataFragment extends Fragment {
    String TAG2 = "Fragment";
    TextView speedData;
    TextView gyroData;
    TextView accelMagData;
    TextView messageData;
    TextView accelXData;
    TextView accelYData;
    private BluetoothLeService mBluetoothLeService;
    private boolean isInterrupted  = false;
    protected ArrayList<String> dataServiceList = new ArrayList<>();
    ActionBar bar;
    public DataFragment(){

    }

    public static DataFragment newInstance(){

        return new DataFragment();
    }

    @Nullable
    @Override
    public View onCreateView(LayoutInflater inflater, @Nullable ViewGroup container, @Nullable Bundle savedInstanceState) {

        View view = inflater.inflate(R.layout.activity_ble, container, false);
        speedData = (TextView)view.findViewById(R.id.LED0DATA);
        gyroData = (TextView)view.findViewById(R.id.LED1DATA);
        accelMagData = (TextView)view.findViewById(R.id.DATASERVICE);
        messageData = (TextView)view.findViewById(R.id.messageDataTextView);
        accelXData = (TextView)view.findViewById(R.id.accelXDataTextView);
        accelYData = (TextView)view.findViewById(R.id.accelYDataTextView);
        updateData();
       // setHasOptionsMenu(true);
      //  ((AppCompatActivity)getActivity()).getSupportActionBar().setTitle("Overall Information");

        ActionBar actionBar = ((AppCompatActivity)getActivity()).getSupportActionBar();
        bar = ((AppCompatActivity)getActivity()).getSupportActionBar();
        if (bar.getTitle().equals("HARAMBE"))
        bar.setTitle("Overall Information");
        return view;

    }


    public void setUserVisibleHint(boolean isVisibleToUser) {
        super.setUserVisibleHint(isVisibleToUser);
        if (isVisibleToUser) {
            if (bar!=null)
            bar.setTitle("Overall Information");
        }
        else {
        }
    }
    public void updateData(){
        final boolean keepRunning1 = true;
        Thread thread_two = new Thread(){

            @Override
            public void run(){

                while(keepRunning1){


                    try {
                        Thread.sleep(500);
                    } catch (InterruptedException e) {
                        e.printStackTrace();
                    }


                    if(getActivity() == null)
                        return;

                    getActivity().runOnUiThread(new Runnable(){
                        @Override
                        public void run(){
                            Log.i("Fragment", "in here");
                              while (mBluetoothLeService==null) {
                                  mBluetoothLeService = ((DataActivity) getActivity()).getYourObjects();
                                  Log.i("double", "In while(Bluetooth) for Data fragment");
                                //  Thread.sleep(1000);
                              }




                               // Log.i("Fragment", DataActivity.class + " " + (DataActivity) getActivity() + "  "  + ((DataActivity) getActivity()).getDataService() );
                            if (mBluetoothLeService!=null) {
                              //  String h = ((DataActivity) getActivity()).getDataService();
                                //dataServiceList.add(h);

                                speedData.setText(((DataActivity) getActivity()).getDataService());
                                gyroData.setText(((DataActivity) getActivity()).getSomeStreamService());
                                accelMagData.setText(((DataActivity) getActivity()).getStreamService());
                                messageData.setText(((DataActivity) getActivity()).getMoreStreamService());
                                accelXData.setText(((DataActivity) getActivity()).getAccelX());
                                accelYData.setText(((DataActivity) getActivity()).getAccelY());
                            }

                        }
                    });
                }
            }
        };thread_two.start();
    }
    }


