package seniordesign.harambe;

import android.app.Application;
import android.content.SharedPreferences;
import android.preference.PreferenceManager;
import android.util.Log;



import seniordesign.harambe.ui.preferenceValues;
//
public class MyApp extends Application {

    public MyApp() {

    }

    @Override
    public void onCreate() {
        super.onCreate();

        // this method fires once as well as constructor
        // but also application has context here

        Log.i("main", "onCreate fired");


        SharedPreferences prefs = PreferenceManager.getDefaultSharedPreferences(getApplicationContext());
        SharedPreferences.Editor editor = prefs.edit();

        // final Intent intent = getIntent();
        editor.putString(preferenceValues.SAVENAME.name(), "").apply();
        editor.putBoolean(preferenceValues.CHECKDATA.name(), true).apply();
        editor.putString(preferenceValues.SAVEADDRESS.name(), "").apply();
        editor.putBoolean(preferenceValues.SAVESENDMESSAGE.name(), false).apply();
        editor.putBoolean(preferenceValues.DIALOGCHECK.name(), false).apply();
        editor.putBoolean(preferenceValues.DIALOGCHECKTHREAD.name(), true).apply();
        editor.putBoolean(preferenceValues.FIRSTTIME.name(), false).apply();
        editor.putBoolean(preferenceValues.CHECKTOS.name(), false).apply();
        editor.putString(preferenceValues.SAVEBLUETOOTH.name(),"").apply();
        Log.i("on main11", "result: "+ preferenceValues.SAVEBLUETOOTH.name());


    }
}