package seniordesign.harambe;

import android.app.Activity;
import android.content.SharedPreferences;
import android.graphics.Color;
import android.os.Bundle;
import android.preference.PreferenceManager;
import android.util.Log;
import android.view.View;
import android.view.Window;
import android.widget.Button;
import android.widget.CheckBox;
import android.widget.CompoundButton;
import android.widget.TextView;

import seniordesign.harambe.ui.preferenceValues;

import static android.content.ContentValues.TAG;

public class TermsofServiceActivity extends Activity implements CompoundButton.OnCheckedChangeListener{

    Button greenButton;
    TextView textview;
    Button redButton;
    CheckBox checkbox;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        requestWindowFeature(Window.FEATURE_NO_TITLE);
        SharedPreferences prefs = PreferenceManager.getDefaultSharedPreferences(getApplicationContext());
        final SharedPreferences.Editor editor = prefs.edit();
        setContentView(R.layout.activity_termsof_service);
        SharedPreferences settings = getSharedPreferences("check", 0);
        final SharedPreferences settings2 = getSharedPreferences("check2", 0);
        settings.edit().putBoolean(preferenceValues.FIRSTTIME.name(), true).apply();

        greenButton = (Button)findViewById(R.id.greenbuttonTOS);


        greenButton.setBackgroundColor(Color.GREEN);
        greenButton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                settings2.edit().putBoolean(preferenceValues.CHECKTOS.name(), true).apply();
                editor.putBoolean(preferenceValues.CHECKTOS.name(), true).apply();
              //  startActivity(i);

                TermsofServiceActivity.this.finish();
            }
        });
        greenButton.setEnabled(false);



        redButton = (Button)findViewById(R.id.redbuttonTOS);
        redButton.setBackgroundColor(Color.RED);


        redButton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                settings2.edit().putBoolean(preferenceValues.CHECKTOS.name(), false).apply();
                editor.putBoolean(preferenceValues.CHECKTOS.name(), false).apply();
              //  startActivity(i);
                TermsofServiceActivity.this.finish();
            }
        });

        checkbox = (CheckBox)findViewById(R.id.checkBoxTOS);

        textview = (TextView)findViewById(R.id.TOSText);



        setTextstuff();
        checkbox.setOnCheckedChangeListener(this);

        setFinishOnTouchOutside(false);
    }

    @Override
    public void onCheckedChanged(CompoundButton compoundButton, boolean b) {

        Log.d(TAG, "onCheckedChanged: onCheckedChanged called?" + " " + compoundButton.getId());
        if (compoundButton.isChecked()){
            Log.d("isChecked", "true ");
            greenButton.setEnabled(true);
        }
        else
        {
            Log.d("isChecked", "false ");
            greenButton.setEnabled(false);
        }
    }

    public void setTextstuff(){
        textview.setText("Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis sollicitudin, dolor vitae vehicula convallis, enim est vulputate lorem, eget ornare dolor libero non libero. Duis a erat massa. Donec ac mollis lorem. Nullam lobortis ante sit amet hendrerit gravida. Nulla luctus quam at dapibus semper. Phasellus elementum vel sapien id pulvinar. In maximus ultricies varius. Sed feugiat, felis vel cursus condimentum, sem magna congue metus, ac sodales purus sapien at lacus. Suspendisse libero arcu, vestibulum in egestas sit amet, tristique ut odio. Quisque ac mi at leo dapibus vestibulum nec sed diam.\n" +
                "\n" +
                "Nulla facilisi. Fusce sagittis turpis elementum justo congue aliquam. Pellentesque in ultricies lorem. Nulla et quam lorem. Phasellus hendrerit tempor erat, volutpat consectetur nunc aliquet a. Aenean eu venenatis nisi. Duis rutrum pretium odio sit amet accumsan. Donec lacus quam, aliquam sit amet risus sed, condimentum pulvinar justo. Curabitur auctor vestibulum scelerisque. Suspendisse congue orci mi, at hendrerit dolor blandit eu. Quisque ac odio quis lectus pretium vulputate.\n" +
                "\n" +
                "Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Curabitur ante augue, pellentesque quis massa eu, consectetur feugiat urna. Nullam non pellentesque ex. Curabitur a elementum ipsum. In vel porta tortor, sed sollicitudin justo. Cras scelerisque erat ligula, quis suscipit dui lacinia et. Cras sit amet nibh quis nisl facilisis pharetra. Nullam quis egestas risus, sit amet vestibulum nisl. Phasellus ornare sem vel mollis finibus. Quisque feugiat, leo eu volutpat facilisis, dolor dui viverra diam, condimentum dictum massa nisi in lacus. Aliquam massa justo, viverra nec auctor eget, tristique quis dolor. Donec nulla sem, tristique in venenatis eget, cursus ac neque. Phasellus risus nisl, aliquet quis vulputate et, venenatis ac elit.\n" +
                "\n" +
                "Aliquam volutpat lacus vel tempus dapibus. Curabitur suscipit ut arcu eget dignissim. Maecenas placerat nibh justo, ac vulputate metus suscipit et. Nullam neque purus, tempus ac vulputate vitae, lacinia eu massa. Sed posuere risus mi, eget pretium metus porta nec. Ut pulvinar libero dui. Donec eget sem posuere, mollis magna non, placerat metus. Nullam vel arcu dolor. Praesent non eleifend enim. In hac habitasse platea dictumst. Pellentesque eu urna nibh. Morbi maximus enim posuere ex placerat tincidunt. Suspendisse cursus diam non leo auctor, ut varius elit posuere. Quisque nec augue a nunc cursus malesuada vitae sit amet nunc.\n" +
                "\n" +
                "Pellentesque sed feugiat libero. Curabitur sed tellus nec lorem hendrerit posuere sit amet vitae justo. Integer bibendum at nibh vel consequat. Vivamus hendrerit feugiat ante. Nullam volutpat leo metus, in consectetur dui bibendum a. Vivamus bibendum neque consequat aliquam consequat. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; In porttitor imperdiet lectus quis scelerisque. Phasellus in ante ut justo varius sollicitudin. Curabitur accumsan congue pellentesque. Pellentesque lacinia purus sed orci vulputate consectetur. Fusce eu magna posuere, auctor lectus vitae, vulputate neque. Vestibulum commodo ipsum eget mauris imperdiet dictum. Maecenas sollicitudin arcu nisl, ut gravida urna pretium quis. Cras faucibus, massa at ultrices dapibus, arcu felis molestie nulla, venenatis pretium sapien nibh et nibh. Etiam malesuada, odio nec luctus feugiat, orci nisl ornare.");

    }
}
