package seniordesign.harambe.ui;

import android.app.Activity;
import android.app.AlertDialog;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.util.Log;
import android.util.SparseBooleanArray;
import android.view.LayoutInflater;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.CheckBox;
import android.widget.CompoundButton;
import android.widget.EditText;
import android.widget.ListView;
import android.widget.TextView;

import java.util.ArrayList;
import java.util.HashSet;
import java.util.Set;
import java.util.TreeSet;

import seniordesign.harambe.MainActivity;
import seniordesign.harambe.R;

//


public class DisplayContacts extends Activity {


    static  String personName = "";
    static  String phoneNumber = "";
    ListView lv;
    MyAdapter ma;
    ArrayList<String> listName;
    ArrayList<String> listNumber;



    @Override
    protected void onCreate(Bundle savedInstanceState)  {
        super.onCreate(savedInstanceState);

        setContentView(R.layout.activity_display_contacts);
        SharedPreferences contactName = getSharedPreferences("namesss", 0); // contacts

      //  SharedPreferences contactNumber = getSharedPreferences("phone", 0);

        Log.i("chauster3", "1.set = "+contactName.getStringSet("set", new HashSet<String>()));
   //     Log.i("chauster3", "1.set = "+contactNumber.getStringSet("set", new HashSet<String>()));

        listName = new ArrayList<>(contactName.getStringSet("set", new HashSet<String>()));
     //   listNumber = new ArrayList<>(contactNumber.getStringSet("set", new HashSet<String>()));

        //SharedPreferences s = getSharedPreferences("db", 0);
        Log.i("chauster3", "1.set = "+contactName.getStringSet("set", new HashSet<String>()));
        lv = (ListView) findViewById(R.id.lvDisplay);
        ma = new DisplayContacts.MyAdapter();
        lv.setAdapter(ma);

        if (!listName.isEmpty())
        Log.i("chauster3", "1.set = "+ listName.get(0));
     //   Log.i("chauster3", "1.set = "+listNumber.get(0));

    }
    public boolean onCreateOptionsMenu(Menu menu) {
        MenuInflater inflater = getMenuInflater();
        inflater.inflate(R.menu.contact_menu,menu);
        return true;
    }
    @Override
    public void onResume(){
        super.onResume();
        SharedPreferences name = getSharedPreferences("namesss", 0);
       // name.edit().putStringSet("set", nameIn).apply(); // brevity

        listName = new ArrayList<>(name.getStringSet("set", new HashSet<String>()));
        //   ma.clear();
        //  ma.addAll(data);
        ma.notifyDataSetChanged();
       // Log.i("chauster30", "1.set = "+"hi");
    }
    @Override
    public void onPause(){
        super.onPause();
        Log.i("chauster31", "1.set = "+"hi");
    }
    public void saveData(Set<String> nameIn, SharedPreferences name){
        nameIn.add(personName+"|"+phoneNumber);
        nameIn.remove("|");

        name.edit().putStringSet("set", nameIn).apply(); // brevity
        Log.i("chauster3new", "1.set = "+name.getStringSet("set", new HashSet<String>()));
        name = getSharedPreferences("namesss", 0);
        listName = new ArrayList<>(name.getStringSet("set", new HashSet<String>()));
        //   ma.clear();
        //  ma.addAll(data);
        ma.notifyDataSetChanged();
        Log.i("chauster3", "1.set = "+name.getStringSet("set", new HashSet<String>()));
    }
    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle item selection
        switch (item.getItemId()) {
            case R.id.loadcontact:
                Intent gotoContacts = new Intent(DisplayContacts.this, ContactsActivity.class);
                startActivity(gotoContacts);
                finish();
                return true;
            case R.id.loadcustom:
                final SharedPreferences name = getSharedPreferences("namesss", 0);

                final Set<String> contactName = new TreeSet<>(name.getStringSet("set", new HashSet<String>()));

                final Set<String> nameIn = new TreeSet<>(contactName);

                LayoutInflater factory = LayoutInflater.from(this);


                final View textEntryView = factory.inflate(R.layout.add_contact, null);

                final EditText input1 = (EditText) textEntryView.findViewById(R.id.addNameEdit);
                final EditText input2 = (EditText) textEntryView.findViewById(R.id.addPhoneEdit);

                input1.setText("", TextView.BufferType.EDITABLE);
                input2.setText("", TextView.BufferType.EDITABLE);

                final AlertDialog.Builder alert = new AlertDialog.Builder(this);
                alert.setIcon(R.drawable.dialog_background_light).setTitle("   Add your new contact:").setView(textEntryView).setPositiveButton("Save",
                        new DialogInterface.OnClickListener() {
                            public void onClick(DialogInterface dialog,
                                                int whichButton) {

                                Log.i("AlertDialog","TextEntry 1 Entered "+input1.getText().toString());
                                Log.i("AlertDialog","TextEntry 2 Entered "+input2.getText().toString());

                                personName = input1.getText().toString();
                                phoneNumber = input2.getText().toString();
                                saveData(nameIn, name);

    /* User clicked OK so do some stuff */

                            }

                        }).setNegativeButton("Cancel",
                        new DialogInterface.OnClickListener() {
                            public void onClick(DialogInterface dialog,
                                                int whichButton) {
     /*
     * User clicked cancel so do some stuff
     */
                            }
                        });

                alert.show();

                return true;
            case R.id.loadclear:
                SharedPreferences clearList = getSharedPreferences("namesss", 0);
                SharedPreferences.Editor editor = clearList.edit();
                editor.clear();
                editor.apply();
                clearList = getSharedPreferences("namesss", 0);
                listName = new ArrayList<>(clearList.getStringSet("set", new HashSet<String>()));
                ma.notifyDataSetChanged();

                return true;
            case R.id.loadreturn:
                Intent gotomain = new Intent(DisplayContacts.this, MainActivity.class);
                startActivity(gotomain);


                    return true;
            default:
                return super.onOptionsItemSelected(item);
        }
    }
    class MyAdapter extends BaseAdapter implements
            CompoundButton.OnCheckedChangeListener {
        private SparseBooleanArray mCheckStates;
        LayoutInflater mInflater;
        TextView tv1, tv;
        CheckBox cb;
        MyAdapter() {
            mCheckStates = new SparseBooleanArray(listName.size());
            mInflater = (LayoutInflater) DisplayContacts.this
                    .getSystemService(Context.LAYOUT_INFLATER_SERVICE);
        }

        @Override
        public int getCount() {
            // TODO Auto-generated method stub
            return listName.size();
        }

        @Override
        public Object getItem(int position) {
            // TODO Auto-generated method stub
            return position;
        }

        @Override
        public long getItemId(int position) {
            // TODO Auto-generated method stub

            return 0;
        }

        @Override
        public View getView(final int position, View convertView,
                            ViewGroup parent) {
            // TODO Auto-generated method stub
            View vi = convertView;
            if (convertView == null)
                vi = mInflater.inflate(R.layout.display_contact, null);
            tv = (TextView) vi.findViewById(R.id.textView2Display);
            tv1 = (TextView) vi.findViewById(R.id.textView1Display);
            cb = (CheckBox) vi.findViewById(R.id.checkBox1);
            Log.i("chauster4", "1.set = "+listName.get(position));
            String name = listName.get(position);
            StringBuilder sb = new StringBuilder();

            for (int i=0; i<name.length(); i++){

                if (name.charAt(i)=='|') {
                //    Log.i("chauster5", sb.toString());

                    tv.setText("Name :" +sb.toString());

                    sb.setLength(0);
                    continue;
                }
                sb.append(name.charAt(i));
                if (i==name.length()-1){
                    tv1.setText("Phone No :" + sb.toString());
                }
            }

        //    tv.setText("Name :" + listName.get(position));
         //   tv1.setText("Phone No :" + listNumber.get(position));
         //   cb.setTag(position);
           // cb.setChecked(mCheckStates.get(position, false));
           // cb.setOnCheckedChangeListener(this);

            return vi;
        }

        public boolean isChecked(int position) {
            return mCheckStates.get(position, false);
        }

        public void setChecked(int position, boolean isChecked) {
            mCheckStates.put(position, isChecked);
        }

        public void toggle(int position) {
            setChecked(position, !isChecked(position));
        }

        @Override
        public void onCheckedChanged(CompoundButton buttonView,
                                     boolean isChecked) {
            // TODO Auto-generated method stub

            //mCheckStates.put((Integer) buttonView.getTag(), isChecked);
        }
    }

}
