package seniordesign.harambe.ui;

import android.app.Activity;
import android.content.Context;
import android.content.SharedPreferences;
import android.graphics.Color;
import android.media.AudioManager;
import android.media.MediaPlayer;
import android.os.Bundle;
import android.preference.PreferenceManager;
import android.util.Log;
import android.view.View;
import android.view.Window;
import android.widget.Button;
import android.widget.TextView;

import java.util.Timer;
import java.util.TimerTask;

import seniordesign.harambe.R;


public class myDialog extends Activity {

    Button greenButton;
    Button redButton;
    TextView myTextView4;
    int I = 0;
    int TimeCounter = 60;
    boolean running = false;


    @Override
    public void onCreate(Bundle savedInstanceState) {

        super.onCreate(savedInstanceState);

        final MediaPlayer alert = MediaPlayer.create(this, R.raw.alarm_smoke);
        AudioManager am =
                (AudioManager) getSystemService(Context.AUDIO_SERVICE);

     //   am.setStreamVolume(
      //          AudioManager.STREAM_MUSIC,
      //          am.getStreamMaxVolume(AudioManager.STREAM_MUSIC),
      //          0);


        requestWindowFeature(Window.FEATURE_NO_TITLE);
        setContentView(R.layout.sendmessagelayout);

        setFinishOnTouchOutside(false);

        greenButton = (Button)findViewById(R.id.greenbutton);
        redButton = (Button)findViewById(R.id.redbutton);
        myTextView4 = (TextView)findViewById(R.id.textView4);

        greenButton.setBackgroundColor(Color.GREEN);
        redButton.setBackgroundColor(Color.RED);
        greenButton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                SharedPreferences prefs = PreferenceManager.getDefaultSharedPreferences(myDialog.this);
                SharedPreferences.Editor editor = prefs.edit();
                editor.putBoolean(preferenceValues.DIALOGCHECK.name(), true).apply();
                editor.putBoolean(preferenceValues.DIALOGCHECKTHREAD.name(), false).apply();
                alert.stop();
                myDialog.this.finish();
            }
        });

        redButton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                SharedPreferences prefs = PreferenceManager.getDefaultSharedPreferences(myDialog.this);
                SharedPreferences.Editor editor = prefs.edit();
                editor.putBoolean(preferenceValues.DIALOGCHECKTHREAD.name(), false).apply();
                alert.stop();
                myDialog.this.finish();
            }
        });

        final Timer t = new Timer();
        t.scheduleAtFixedRate(new TimerTask() {
            public void run() {
                runOnUiThread(new Runnable() {
                    public void run() {

                        if (TimeCounter == I) {
                            t.cancel();
                            SharedPreferences prefs = PreferenceManager.getDefaultSharedPreferences(myDialog.this);
                            SharedPreferences.Editor editor = prefs.edit();
                            editor.putBoolean(preferenceValues.DIALOGCHECK.name(), true).apply();
                            editor.putBoolean(preferenceValues.DIALOGCHECKTHREAD.name(), false).apply();
                            alert.stop();
                            myDialog.this.finish();
                            return;
                        }

                        if (running) {
                            Log.i("wtfwtf", "Doesnotwork");
                            t.cancel();
                            t.purge();
                        }

                        myTextView4.setText("                                     "+String.valueOf(TimeCounter));
                        Log.i("wtfwtf", "" + TimeCounter);
                        alert.start();
                        TimeCounter--;
                    }
                });
            }
        }, 0, 1000);






    }
    @Override
    protected void onDestroy() {
        super.onDestroy();
        running = true;
    }
}
