package seniordesign.harambe;

import android.os.Bundle;
import android.support.annotation.Nullable;
import android.support.v4.app.Fragment;
import android.support.v7.app.ActionBar;
import android.support.v7.app.AppCompatActivity;
import android.support.v7.widget.LinearLayoutManager;
import android.support.v7.widget.RecyclerView;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

import java.util.ArrayList;


public class DataServiceLastFragment extends Fragment {
    protected RecyclerView.LayoutManager mLayoutManager;
    private BluetoothLeService mBluetoothLeService;
    private AdapterDataServiceHistory mAdapter;
    private RecyclerView mRecyclerView;
    private boolean running = true;
    ActionBar bar;


    private ArrayList<String> dataService = new ArrayList<>();



    AdapterDataServiceHistory adapter;

    public DataServiceLastFragment() {


    }


    public static DataServiceLastFragment newInstance() {

        return new DataServiceLastFragment();
    }


    @Nullable
    @Override
    public View onCreateView(LayoutInflater inflater, @Nullable ViewGroup container, @Nullable Bundle savedInstanceState) {

        View view = inflater.inflate(R.layout.fragment_lastone, container, false);
        mRecyclerView = (RecyclerView) view.findViewById(R.id.rec_view2);
        mLayoutManager = new LinearLayoutManager(getActivity());

        mRecyclerView.setLayoutManager(new LinearLayoutManager(getActivity()));


        //  adapter = new AdapterDataServiceHistory(data);
        mAdapter = new AdapterDataServiceHistory(dataService);
        mRecyclerView.setAdapter(mAdapter);

        //updateUI();
        getData();

        bar = ((AppCompatActivity)getActivity()).getSupportActionBar();

     //   if(DataServiceLastFragment.this.isVisible())
         //   ((AppCompatActivity)getActivity()).getSupportActionBar().setTitle("Message information");



      //  actionBar = getActivity().setAction
        return view;


    }

    public void setUserVisibleHint(boolean isVisibleToUser) {
        super.setUserVisibleHint(isVisibleToUser);
        if (isVisibleToUser) {
            if (bar!=null)
                bar.setTitle("Message Information");
        }
        else {
        }
    }

    private void updateUI(){

        mAdapter.notifyItemRangeChanged(0, mAdapter.getItemCount());
        Log.i("DATA", "in updateUI");
        if ((getActivity()) != null) {
            if (dataService.size()>=30){
                clear();
            }
            dataService.add(0, ((DataActivity) getActivity()).getMoreStreamService());
        }
        mAdapter.notifyDataSetChanged();
        //mAdapter = new AdapterDataServiceHistory(dataService);
        //  mRecyclerView.setAdapter(mAdapter);
        // mAdapter.notifyItemRangeChanged(0, mAdapter.getItemCount());

    }

    private class DataServiceHolder extends RecyclerView.ViewHolder{
        public TextView mData;

        public DataServiceHolder(View itemView){
            super(itemView);
            mData = (TextView)itemView;

        }

    }

    private class AdapterDataServiceHistory extends RecyclerView.Adapter<DataServiceHolder> {
        private ArrayList<String> mServiceData;

        public AdapterDataServiceHistory(ArrayList<String> dataService){
            mServiceData = dataService;
        }

        @Override
        public DataServiceHolder onCreateViewHolder(ViewGroup parent, int viewType){
            LayoutInflater layoutInflayer = LayoutInflater.from(getActivity());
            View view = layoutInflayer.inflate(android.R.layout.simple_list_item_1, parent, false);
            return new DataServiceHolder(view);
        }
        @Override
        public void onBindViewHolder(DataServiceHolder holder, int position ){
            holder.mData.setText(mServiceData.get(position));

        }

        @Override
        public int getItemCount(){
            return mServiceData.size();
        }

    }

    public void getData(){
        Thread thread_two = new Thread(){

            @Override
            public void run(){

                while(running){


                    try {
                        Thread.sleep(500);
                    } catch (InterruptedException e) {
                        e.printStackTrace();
                    }


                    if(getActivity() == null)
                        return;

                    getActivity().runOnUiThread(new Runnable(){
                        @Override
                        public void run(){
                            Log.i("DATA", "Running");
                            while (mBluetoothLeService==null) {
                                mBluetoothLeService = ((DataActivity) getActivity()).getYourObjects();
                            }
                            if (mBluetoothLeService!=null)
                            updateUI();
                        }
                    });
                }
            }
        };thread_two.start();

    }
    public void clear() {
        int size = this.dataService.size();
        if (size > 0) {
            for (int i = 0; i < size; i++) {
                this.dataService.remove(0);
            }

            mAdapter.notifyItemRangeRemoved(0, size);
        }
    }
}

