package seniordesign.harambe;

import android.os.Bundle;
import android.support.annotation.Nullable;
import android.support.v4.app.Fragment;
import android.support.v4.app.FragmentManager;
import android.support.v4.app.FragmentTransaction;
import android.support.v7.app.ActionBar;
import android.support.v7.app.AppCompatActivity;
import android.support.v7.widget.LinearLayoutManager;
import android.support.v7.widget.RecyclerView;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

import com.jjoe64.graphview.GraphView;
import com.jjoe64.graphview.series.DataPoint;
import com.jjoe64.graphview.series.LineGraphSeries;

import java.util.ArrayList;
import java.util.Random;


public class LastFragmentAccordingtoJacob extends Fragment {
    protected RecyclerView.LayoutManager mLayoutManager;
    private BluetoothLeService mBluetoothLeService;
    private AdapterDataServiceHistory mAdapter;
    private RecyclerView mRecyclerView;
    private boolean running = true;
    ActionBar bar;
    private LineGraphSeries<DataPoint> mSeries1;
    GraphView graph;
    Random random;


    private double graph2LastXValue = -1d;
    int x = 40;
    int y =  -1;



    private ArrayList<String> dataService = new ArrayList<>();



    AdapterDataServiceHistory adapter;

    public LastFragmentAccordingtoJacob() {


    }


    public static LastFragmentAccordingtoJacob newInstance() {

        return new LastFragmentAccordingtoJacob();
    }


    @Nullable
    @Override
    public View onCreateView(LayoutInflater inflater, @Nullable ViewGroup container, @Nullable Bundle savedInstanceState) {

        View view = inflater.inflate(R.layout.fragment_data_service_history, container, false);
        mRecyclerView = (RecyclerView) view.findViewById(R.id.rec_view);
        mLayoutManager = new LinearLayoutManager(getActivity());

        mRecyclerView.setLayoutManager(new LinearLayoutManager(getActivity()));


        //  adapter = new AdapterDataServiceHistory(data);
        mAdapter = new AdapterDataServiceHistory(dataService);
        mRecyclerView.setAdapter(mAdapter);
        //updateUI();
        getData();
        bar = ((AppCompatActivity)getActivity()).getSupportActionBar();
        random = new Random();
        graph = (GraphView) view.findViewById(R.id.graphREC);
        mSeries1 = new LineGraphSeries<>();
        graph.addSeries(mSeries1);
        graph.getViewport().setXAxisBoundsManual(true);
        graph.getViewport().setMinX(y);
        graph.getViewport().setMaxX(x);
        graph.getViewport().getXAxisBoundsStatus();


        return view;


    }
    public void setUserVisibleHint(boolean isVisibleToUser) {
        super.setUserVisibleHint(isVisibleToUser);
        if (isVisibleToUser) {
            if (bar!=null)
                bar.setTitle("Acceleration Y Information (g)");
        }
        else {
        }
    }
    private void updateUI(){

        mAdapter.notifyItemRangeChanged(0, mAdapter.getItemCount());
        if ((getActivity()) != null) {
            if (dataService.size()>=30){
                clear();
                //  x=0;
            }
            dataService.add(0, ((DataActivity) getActivity()).getAccelY());
            // dataService.add(0, random.nextDouble()+ "");
            graph2LastXValue+=1d;
            if (dataService.get(0)!="No Data")
                mSeries1.appendData(new DataPoint(graph2LastXValue, Double.parseDouble(dataService.get(0))), false, 40);

            if (graph2LastXValue%40==0 && graph2LastXValue>0) {
                graph.getViewport().setMinX(y+=40);
                graph.getViewport().setMaxX(x+=40);
            }
            // x+=1;
        }
        //mAdapter = new AdapterDataServiceHistory(dataService);
        //  mRecyclerView.setAdapter(mAdapter);
        // mAdapter.notifyItemRangeChanged(0, mAdapter.getItemCount());
        mAdapter.notifyDataSetChanged();


    }
    @Override
    public void onCreateOptionsMenu(Menu menu, MenuInflater inflater) {
        // Do something that differs the Activity's menu here

        inflater.inflate(R.menu.view_graph, menu);
        super.onCreateOptionsMenu(menu, inflater);
        //   super.onCreateOptionsMenu(menu, inflater);
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        switch (item.getItemId()) {
            case R.id.viewGraph:
                Fragment newFragment = new RealTimeUpdates();
                FragmentManager fragmentManager = getFragmentManager();
                FragmentTransaction fragmentTransaction = fragmentManager.beginTransaction();
                fragmentTransaction.replace(R.id.cons_id, newFragment);
                fragmentTransaction.addToBackStack(null);
                fragmentTransaction.commit();
                return true;
            default:
                break;
        }

        return false;
    }

    private class DataServiceHolder extends RecyclerView.ViewHolder{
        public TextView mData;

        public DataServiceHolder(View itemView){
            super(itemView);
            mData = (TextView)itemView;

        }

    }

    private class AdapterDataServiceHistory extends RecyclerView.Adapter<DataServiceHolder> {
        private ArrayList<String> mServiceData;

        public AdapterDataServiceHistory(ArrayList<String> dataService){
            mServiceData = dataService;
        }

        @Override
        public DataServiceHolder onCreateViewHolder(ViewGroup parent, int viewType){
            LayoutInflater layoutInflayer = LayoutInflater.from(getActivity());
            View view = layoutInflayer.inflate(android.R.layout.simple_list_item_1, parent, false);
            return new DataServiceHolder(view);
        }
        @Override
        public void onBindViewHolder(DataServiceHolder holder, int position ){
            holder.mData.setText(mServiceData.get(position));

        }

        @Override
        public int getItemCount(){
            return mServiceData.size();
        }

    }

    public void getData(){
        Thread thread_two = new Thread(){

            @Override
            public void run(){

                while(running){


                    try {
                        Thread.sleep(50);
                    } catch (InterruptedException e) {
                        e.printStackTrace();
                    }


                    if(getActivity() == null)
                        return;

                    getActivity().runOnUiThread(new Runnable(){
                        @Override
                        public void run(){
                            Log.i("DATA", "Running");
                            while (mBluetoothLeService==null) {
                                mBluetoothLeService = ((DataActivity) getActivity()).getYourObjects();
                            }
                            if (mBluetoothLeService!=null)
                                updateUI();
                        }
                    });
                }
            }
        };thread_two.start();

    }
    public void clear() {
        int size = this.dataService.size();
        if (size > 0) {
            for (int i = 0; i < size; i++) {
                this.dataService.remove(0);
            }

            mAdapter.notifyItemRangeRemoved(0, size);
        }
    }
}

