package seniordesign.harambe;

import android.Manifest;
import android.app.Activity;
import android.app.ActivityManager;
import android.app.AlertDialog;
import android.bluetooth.BluetoothGattCharacteristic;
import android.content.BroadcastReceiver;
import android.content.ComponentName;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.IntentFilter;
import android.content.ServiceConnection;
import android.content.SharedPreferences;
import android.content.pm.PackageManager;
import android.os.Build;
import android.os.Bundle;
import android.os.IBinder;
import android.preference.PreferenceManager;
import android.support.v4.app.ActivityCompat;
import android.support.v4.content.ContextCompat;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;

import seniordesign.harambe.ui.DisplayContacts;
import seniordesign.harambe.ui.GPSTracker;
import seniordesign.harambe.ui.SendMessageService;
import seniordesign.harambe.ui.myDialog;
import seniordesign.harambe.ui.preferenceValues;

import static android.Manifest.permission.READ_CONTACTS;

//

public class MainActivity extends Activity {
    private static final int PERMISSION_REQUEST_COARSE_LOCATION = 1;
    private String TAG2 = "Main tag: ";
    Button bleStart;
    Button checkTOS;
    private BluetoothLeService mBluetoothLeService;
    SharedPreferences prefs;
    private BluetoothGattCharacteristic mNotifyCharacteristic;
    private boolean mConnected = false;
    private String mDeviceAddress;
    private String mDeviceName = "1";
    Button contacts;
    TextView textview;
    Button viewData;
    private static final int REQUEST_READ_CONTACTS = 1;

    @Override
    protected void onCreate(Bundle savedInstanceState) {

        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
      //  SharedPreferences prefs = PreferenceManager.getDefaultSharedPreferences(this);
     //   Log.i(TAG2, "START " + prefs.getBoolean(APP.name(), true));
      //  if (prefs.getBoolean(APP.name(), true)) {
            getPreference();
     //       safePreferences();
     //
        //   }
        //Toolbar toolbar = (Toolbar) findViewById(R.id.toolbar);
        // setSupportActionBar(toolbar);
        // showContacts();
        Log.i(TAG2, "Start");
   //    Log.i(TAG2, "START " + getPreferencesBoolean(APP.name()) );
        bleStart = (Button) findViewById(R.id.BLEstart);
        contacts = (Button) findViewById(R.id.contactsButton);
        viewData = (Button)findViewById(R.id.viewData);
        checkTOS = (Button)findViewById(R.id.TOSMainButton);

        Log.i("startingb", prefs.getBoolean(preferenceValues.CHECKTOS.name(), false) + " ");
        SharedPreferences settings = getSharedPreferences("check", 0);
        SharedPreferences settings2 = getSharedPreferences("check2", 0);
        if (settings.getBoolean(preferenceValues.FIRSTTIME.name(), false) && settings2.getBoolean(preferenceValues.CHECKTOS.name(), false) ){
            viewData.setEnabled(true);
            bleStart.setEnabled(true);
            contacts.setEnabled(true);
        }
        else if (!prefs.getBoolean(preferenceValues.CHECKTOS.name(), false)){
            viewData.setEnabled(false);
            bleStart.setEnabled(false);
            contacts.setEnabled(false);
        }
        else if (getPreferencesString(preferenceValues.SAVEBLUETOOTH.name()).equals(preferenceValues.SAVEBLUETOOTH.name())) {
          //  viewData.setVisibility(View.VISIBLE);
            viewData.setEnabled(true);
            contacts.setEnabled(true);
          //  bleStart.setVisibility(View.INVISIBLE);
            bleStart.setEnabled(false);
        }
        else {
        //    viewData.setVisibility(View.INVISIBLE);
        //    bleStart.setVisibility(View.VISIBLE);
            contacts.setEnabled(true);
            viewData.setEnabled(false);
            bleStart.setEnabled(true);
        }

        if (prefs.getBoolean(preferenceValues.CHECKTOS.name(), false)) {

            checkTOS.setEnabled(false);
        }
        bleStart.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                Intent gotoBLE = new Intent(MainActivity.this, DeviceScanActivity.class);
                startActivity(gotoBLE);
            }
        });

        checkTOS.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                Intent TOS = new Intent(MainActivity.this, TermsofServiceActivity.class);
                startActivity(TOS);
            //   MainActivity.this.finish();
            }
        });
        contacts.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                Intent gotoContacts = new Intent(MainActivity.this, DisplayContacts.class);
                startActivity(gotoContacts);

            }
        });

        viewData.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                Intent gotoData = new Intent(MainActivity.this, DataActivity.class);
                startActivity(gotoData);

            }
        });
        //  startService();
        // ActivityCompat.requestPermissions(this,new String[]{Manifest.permission.SEND_SMS},1);
        //  ActivityCompat.requestPermissions(this,new String[]{Manifest.permission.READ_CONTACTS},1);
       // mayRequestContacts();
      //  mayRequestSMS();
      //  mayRequestGPS();


        int PERMISSION_ALL = 1;
        String[] PERMISSIONS = {Manifest.permission.INTERNET, Manifest.permission.SEND_SMS,Manifest.permission.WRITE_CONTACTS, Manifest.permission.ACCESS_COARSE_LOCATION, Manifest.permission.ACCESS_FINE_LOCATION,Manifest.permission.LOCATION_HARDWARE, Manifest.permission.READ_CONTACTS, Manifest.permission.WRITE_CONTACTS, Manifest.permission.WRITE_EXTERNAL_STORAGE, Manifest.permission.READ_SMS, Manifest.permission.CAMERA};


        if(!hasPermissions(this, PERMISSIONS)){
            ActivityCompat.requestPermissions(this, PERMISSIONS, PERMISSION_ALL);
        }


           //
        // Log.i("mainmainmain", " " + getPreferencesBoolean(preferenceValues.preferenceValues.SAVEBLUETOOTH.name()));
            if(!isMyServiceRunning(SendMessageService.class)) {
                Intent i = new Intent(MainActivity.this, SendMessageService.class);
                startService(i);
            }
            if(!isMyServiceRunning(GPSTracker.class)) {
                Intent f = new Intent(MainActivity.this, GPSTracker.class);
                startService(f);

            }



            if (!settings.getBoolean(preferenceValues.FIRSTTIME.name(), false)){
                Intent TOS = new Intent(MainActivity.this, TermsofServiceActivity.class);
                startActivity( TOS);
               // MainActivity.this.finish();
            }
          // prefs.edit().putBoolean(preferenceValues.SAVESENDMESSAGE.name(), true).apply();








    }
    public boolean onCreateOptionsMenu(Menu menu) {
        MenuInflater inflater = getMenuInflater();
        inflater.inflate(R.menu.menu_main, menu);

        return true;
    }
    public static boolean hasPermissions(Context context, String... permissions) {
        if (android.os.Build.VERSION.SDK_INT >= Build.VERSION_CODES.M && context != null && permissions != null) {
            for (String permission : permissions) {
                if (ActivityCompat.checkSelfPermission(context, permission) != PackageManager.PERMISSION_GRANTED) {
                    return false;
                }
            }
        }
        return true;
    }

    public void mayRequestGPS(){



        int permissionCheck = ContextCompat.checkSelfPermission(this,
                Manifest.permission.ACCESS_COARSE_LOCATION);

        if (ContextCompat.checkSelfPermission(this,
                Manifest.permission.ACCESS_COARSE_LOCATION)
                != PackageManager.PERMISSION_GRANTED) {

            // Should we show an explanation?
            if (ActivityCompat.shouldShowRequestPermissionRationale(this,
                    Manifest.permission.ACCESS_COARSE_LOCATION)) {

                // Show an explanation to the user *asynchronously* -- don't block
                // this thread waiting for the user's response! After the user
                // sees the explanation, try again to request the permission.

            } else {

                // No explanation needed, we can request the permission.

                ActivityCompat.requestPermissions(this,
                        new String[]{Manifest.permission.ACCESS_COARSE_LOCATION},
                        1);

                // MY_PERMISSIONS_REQUEST_READ_CONTACTS is an
                // app-defined int constant. The callback method gets the
                // result of the request.
            }
        };

    }
  //  @Override
  //  public void onBackPressed() {
   //         finish();
  //  }

    public void mayRequestSMS(){
        int permissionCheck = ContextCompat.checkSelfPermission(this,
                Manifest.permission.SEND_SMS);

        if (ContextCompat.checkSelfPermission(this,
                Manifest.permission.SEND_SMS)
                != PackageManager.PERMISSION_GRANTED) {

            // Should we show an explanation?
            if (ActivityCompat.shouldShowRequestPermissionRationale(this,
                    Manifest.permission.SEND_SMS)) {

                // Show an explanation to the user *asynchronously* -- don't block
                // this thread waiting for the user's response! After the user
                // sees the explanation, try again to request the permission.

            } else {

                // No explanation needed, we can request the permission.

                ActivityCompat.requestPermissions(this,
                        new String[]{Manifest.permission.SEND_SMS},
                        1);

                // MY_PERMISSIONS_REQUEST_READ_CONTACTS is an.3.33
                // app-defined int constant. The callback method gets the
                // result of the request.
            }
        };

    }
    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle item selection
        switch (item.getItemId()) {
            case R.id.blemenu:
                Intent intent = new Intent(MainActivity.this, DeviceControlActivity.class);
                startActivity(intent);
                return true;
            case R.id.writeLEDs:
                LayoutInflater factory = LayoutInflater.from(this);
                final View textEntryView = factory.inflate(R.layout.add_contact, null);
                final AlertDialog.Builder alert = new AlertDialog.Builder(this);
                final EditText input1 = (EditText) textEntryView.findViewById(R.id.addNameEdit);
                final EditText input2 = (EditText) textEntryView.findViewById(R.id.addPhoneEdit);
                alert.setIcon(R.drawable.dialog_background_light).setTitle("Write to LED characteristic:").setView(textEntryView).setPositiveButton("Save",
                        new DialogInterface.OnClickListener() {
                            public void onClick(DialogInterface dialog,
                                                int whichButton) {
                                String namessss = input1.getText().toString();
                                if (!namessss.isEmpty()){
                                    byte[] bytes = new byte[namessss.length()];
                                    for (int i=0; i<namessss.length(); i++){
                                        if (namessss.charAt(i)=='0') {
                                            bytes[i] = 0;
                                            continue;
                                        }
                                        bytes[i] = (byte)namessss.charAt(i);

                                    }
                                    // if (Integer.parseInt(namessss)>0)
                                    //      bytes[0] = 1;
                                    //  else
                                    //      bytes[0] = 0;

                                    mBluetoothLeService.writeCharacteristic(bytes ,input2.getText().toString(), 0);
                                }
    /* User clicked OK so do some stuff */

                            }

                        }).setNegativeButton("Cancel",
                        new DialogInterface.OnClickListener() {
                            public void onClick(DialogInterface dialog,
                                                int whichButton) {
     /*
     * User clicked cancel so do some stuff
     */
                            }
                        });

                alert.show();
                return true;
            case R.id.test:
                Intent intents = new Intent(MainActivity.this, myDialog.class);
                startActivity(intents);
                return true;
            default:
                return super.onOptionsItemSelected(item);
        }
    }
    private SharedPreferences getPreference(){
          prefs = PreferenceManager.getDefaultSharedPreferences(this);
          return  prefs;
    }
    private boolean getPreferencesBoolean(String get){
        //SharedPreferences prefs = PreferenceManager.getDefaultSharedPreferences(MainActivity.this);
      //   prefs = getPreference();
        if (get.equals(preferenceValues.SAVESENDMESSAGE.name())) {
            return prefs.getBoolean(get, false);
        }
        if (get.equals(preferenceValues.APP.name())){
            return prefs.getBoolean(get, false);
        }
        return false;
    }
    private String getPreferencesString(String get){
        //SharedPreferences prefs = PreferenceManager.getDefaultSharedPreferences(MainActivity.this);
      //   prefs = getPreference();
        if (get.equals(preferenceValues.SAVENAME.name())) {
            return prefs.getString(get, "");
        }
        if (get.equals(preferenceValues.SAVEADDRESS.name())) {
            return prefs.getString(get, "");
        }
        if (get.equals(preferenceValues.SAVEBLUETOOTH.name())) {
            return prefs.getString(get, "");
        }
        return null;
    }
    @Override
    protected void onResume() {
        super.onResume();
    //    testGPS();
       //  prefs = getPreference();
        final Intent intent = getIntent();
        SharedPreferences settings = getSharedPreferences("check", 0);
        SharedPreferences settings2 = getSharedPreferences("check2", 0);
        //SharedPreferences prefs = PreferenceManager.getDefaultSharedPreferences(MainActivity.this);
        Log.i(TAG2, "" + "on resume called main");
        Log.i(TAG2, "result: "+getPreferencesString(preferenceValues.SAVEBLUETOOTH.name()));
        Log.i(TAG2, "result: "+ preferenceValues.SAVEBLUETOOTH.name());
        if (getPreferencesString(preferenceValues.SAVEBLUETOOTH.name()).equals(preferenceValues.SAVEBLUETOOTH.name())) {
            mDeviceAddress = getPreferencesString(preferenceValues.SAVEADDRESS.name());
            mDeviceName =  getPreferencesString(preferenceValues.SAVENAME.name());
            Log.i(TAG2, "   " + prefs.getString(preferenceValues.SAVENAME.name(), "")  + "   " + prefs.getString(preferenceValues.SAVEADDRESS.name(), "f") );
            //Intent checkData = new Intent(MainActivity.this, CheckDataServiceService.class);
           // startService(checkData);
            Intent i = new Intent(MainActivity.this, BluetoothLeService.class);
            bindService(i, mServiceConnection, BIND_AUTO_CREATE);
         //   registerReceiver(mGattUpdateReceiver, makeGattUpdateIntentFilter());
        }
        if (settings.getBoolean(preferenceValues.FIRSTTIME.name(), false) && settings2.getBoolean(preferenceValues.CHECKTOS.name(), false) ){
            viewData.setEnabled(false);
            bleStart.setEnabled(true);
            contacts.setEnabled(true);
            checkTOS.setEnabled(false);
        }


         if (!prefs.getBoolean(preferenceValues.CHECKTOS.name(), false) && !settings2.getBoolean(preferenceValues.CHECKTOS.name(),false)){
            viewData.setEnabled(false);
            bleStart.setEnabled(false);
            contacts.setEnabled(false);
        }

        else if (getPreferencesString(preferenceValues.SAVEBLUETOOTH.name()).equals(preferenceValues.SAVEBLUETOOTH.name())) {
            //  viewData.setVisibility(View.VISIBLE);
            viewData.setEnabled(true);
            contacts.setEnabled(true);
            //  bleStart.setVisibility(View.INVISIBLE);
            bleStart.setEnabled(false);
        }
        else {
            //    viewData.setVisibility(View.INVISIBLE);
            //    bleStart.setVisibility(View.VISIBLE);
            contacts.setEnabled(true);
            viewData.setEnabled(false);
            bleStart.setEnabled(true);
        }
        if (prefs.getBoolean(preferenceValues.CHECKTOS.name(),false)){
            checkTOS.setEnabled(false);
        }

    }
    @Override
    protected void onStop()
    {
        super.onStop();
      //  unbindService(mServiceConnection);
    }

    @Override
    protected void onPause() {
        super.onPause();
    //    unbindService(mServiceConnection);

}

    private final ServiceConnection mServiceConnection = new ServiceConnection() {

        @Override
        public void onServiceConnected(ComponentName componentName, IBinder service) {
            mBluetoothLeService = ((BluetoothLeService.LocalBinder) service).getService();
            Log.d(TAG2, mBluetoothLeService +  " sir");
            if (!mBluetoothLeService.initialize()) {
                Log.e(TAG2, "Unable to initialize Bluetooth");
                finish();
            }
            Log.d(TAG2, mBluetoothLeService +  " sir");
            // Automatically connects to the device upon successful start-up initialization.
            // Automatically connects to the device upon successful start-up initialization.
            mBluetoothLeService.connect(mDeviceAddress);


        }

        @Override
        public void onServiceDisconnected(ComponentName componentName) {
            mBluetoothLeService = null;
        }
    };
    /*
    @Override
    public void onRequestPermissionsResult(int requestCode, String[] permissions,
                                           int[] grantResults) {
        if (requestCode == PERMISSIONS_REQUEST_READ_CONTACTS) {
            if (grantResults[0] == PackageManager.PERMISSION_GRANTED) {
            } else {
                Toast.makeText(this, "Until you grant the permission, we cannot display the names", Toast.LENGTH_SHORT).show();
            }
        }
    }
*/
    private boolean mayRequestContacts() {
        if (Build.VERSION.SDK_INT < Build.VERSION_CODES.M) {
            return true;
        }
        if (checkSelfPermission(READ_CONTACTS) == PackageManager.PERMISSION_GRANTED) {
            return true;
        }
        if (shouldShowRequestPermissionRationale(READ_CONTACTS)) {

                            requestPermissions(new String[]{READ_CONTACTS}, REQUEST_READ_CONTACTS);
                        }

     else {
            requestPermissions(new String[]{READ_CONTACTS}, REQUEST_READ_CONTACTS);
        }
        return false;
    }
    private final BroadcastReceiver mGattUpdateReceiver = new BroadcastReceiver() {
        @Override
        public void onReceive(Context context, Intent intent) {
            final String action = intent.getAction();
            if (BluetoothLeService.ACTION_GATT_CONNECTED.equals(action)) {

          //      updateConnectionState(R.string.connected);
          //      invalidateOptionsMenu();
            } else if (BluetoothLeService.ACTION_GATT_DISCONNECTED.equals(action)) {
                mConnected = false;
            //    updateConnectionState(R.string.disconnected);
           //     invalidateOptionsMenu();
           //     clearUI();
            } else if (BluetoothLeService.ACTION_GATT_SERVICES_DISCOVERED.equals(action)) {
                // Show all the supported services and characteristics on the user interface.
         //       displayGattServices(mBluetoothLeService.getSupportedGattServices());
            } else if (BluetoothLeService.ACTION_DATA_AVAILABLE.equals(action)) {
           //     displayData(intent.getStringExtra(BluetoothLeService.EXTRA_DATA));
            }
        }
    };

    private static IntentFilter makeGattUpdateIntentFilter() {
        final IntentFilter intentFilter = new IntentFilter();
        intentFilter.addAction(BluetoothLeService.ACTION_GATT_CONNECTED);
        intentFilter.addAction(BluetoothLeService.ACTION_GATT_DISCONNECTED);
        intentFilter.addAction(BluetoothLeService.ACTION_GATT_SERVICES_DISCOVERED);
        intentFilter.addAction(BluetoothLeService.ACTION_DATA_AVAILABLE);
        return intentFilter;
    }

    @Override
    protected void onDestroy() {
        super.onDestroy();
        if (getPreferencesBoolean(preferenceValues.SAVEBLUETOOTH.name())) {
            unregisterReceiver(mGattUpdateReceiver);
        }
      //  safePreferences();
        Log.i(TAG2, "On destroy");
        if (mBluetoothLeService!=null)
            unbindService(mServiceConnection);
          //  mBluetoothLeService.disconnect();
    }
    private boolean isMyServiceRunning(Class<?> serviceClass) {
        ActivityManager manager = (ActivityManager) getSystemService(Context.ACTIVITY_SERVICE);
        for (ActivityManager.RunningServiceInfo service : manager.getRunningServices(Integer.MAX_VALUE)) {
            if (serviceClass.getName().equals(service.service.getClassName())) {
                return true;
            }
        }
        return false;
    }

    public boolean onPrepareOptionsMenu(Menu menu)
    {
        MenuItem register = menu.findItem(R.id.blemenu);
        MenuItem register2 = menu.findItem(R.id.writeLEDs);
        if(getPreferencesString(preferenceValues.SAVEBLUETOOTH.name()).equals(preferenceValues.SAVEBLUETOOTH.name()))
        {
            register.setVisible(true);
        }
        else
        {
            register.setVisible(false);
        }
        if(getPreferencesString(preferenceValues.SAVEBLUETOOTH.name()).equals(preferenceValues.SAVEBLUETOOTH.name()))
        {
            register2.setVisible(true);
        }
        else
        {
            register2.setVisible(false);
        }
        return true;
    }


}
