package seniordesign.harambe.ui;

import android.Manifest;
import android.app.Activity;
import android.content.ContentResolver;
import android.content.Context;
import android.content.Intent;
import android.content.SharedPreferences;
import android.database.Cursor;
import android.os.Bundle;
import android.provider.ContactsContract;
import android.support.v4.app.ActivityCompat;
import android.util.Log;
import android.util.SparseBooleanArray;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.BaseAdapter;
import android.widget.Button;
import android.widget.CheckBox;
import android.widget.CompoundButton;
import android.widget.ListView;
import android.widget.TextView;

import java.util.ArrayList;
import java.util.HashSet;
import java.util.Set;
import java.util.TreeSet;
//
import seniordesign.harambe.R;

public class ContactsActivity extends Activity {
    ArrayList<String> name1 = new ArrayList<>();
    ArrayList<String> phno1 = new ArrayList<>();
    MyAdapter ma;
    ListView lv;
    boolean check = false;
    Button select;
    private static final int MY_PERMISSIONS_REQUEST_READ_CONTACTS = 1;
    static final int RESULT_PICK_CONTACT = 1;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.listview_contacts);
        ActivityCompat.requestPermissions(this,new String[]{Manifest.permission.READ_CONTACTS},1);
        getAllContacts(this.getContentResolver());
        lv = (ListView) findViewById(R.id.lv);
        ma = new MyAdapter();
        lv.setAdapter(ma);
        lv.setOnItemClickListener(new AdapterView.OnItemClickListener() {
          @Override
          public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
              Object listItem = lv.getItemAtPosition(position);
            //  Log.d("loselose", listItem + "");;
          }
        });
        select = (Button)findViewById(R.id.selectContacts);
        select.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                ma.saveData();
                Intent gotoDisplay = new Intent(ContactsActivity.this, DisplayContacts.class);
                startActivity(gotoDisplay);
                finish();

            }
        });
        lv.setOnItemClickListener(new AdapterView.OnItemClickListener() {
            @Override
            public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
                Object listItem = lv.getItemAtPosition(position);
                Log.d("loselose", listItem + "");;
            }
        });

        lv.setItemsCanFocus(false);
        lv.setTextFilterEnabled(true);

    }

    public void getAllContacts(final ContentResolver cr) {
        name1 = new ArrayList<>();
        phno1 = new ArrayList<>();


                        Cursor phones = cr.query(
                                ContactsContract.CommonDataKinds.Phone.CONTENT_URI, null, null,
                                null, null);
                        while (phones.moveToNext()) {
                            String name = phones
                                    .getString(phones
                                            .getColumnIndex(ContactsContract.CommonDataKinds.Phone.DISPLAY_NAME));
                            String phoneNumber = phones
                                    .getString(phones
                                            .getColumnIndex(ContactsContract.CommonDataKinds.Phone.NUMBER));
                            name1.add(name);
                            phno1.add(phoneNumber);
                        }
                        phones.close();

    }
    class MyAdapter extends BaseAdapter implements
            CompoundButton.OnCheckedChangeListener {
        private SparseBooleanArray mCheckStates;
        LayoutInflater mInflater;
        TextView tv1, tv;
        CheckBox cb;
        MyAdapter() {
            if (name1.isEmpty())
                mCheckStates = new SparseBooleanArray(name1.size()+1);
            else
            mCheckStates = new SparseBooleanArray(name1.size());
            mInflater = (LayoutInflater) ContactsActivity.this
                    .getSystemService(Context.LAYOUT_INFLATER_SERVICE);
        }

        @Override
        public int getCount() {
            // TODO Auto-generated method stub
            return name1.size();
        }

        @Override
        public Object getItem(int position) {
            // TODO Auto-generated method stub
            return position;
        }
        public void saveData(){
            SharedPreferences name = getSharedPreferences("namesss", 0);
            final Set<String> contactName = new TreeSet<>(name.getStringSet("set", new HashSet<String>()));

            final Set<String> nameIn = new TreeSet<>(contactName);

                for (int i=0; i<name1.size(); i++){
                    if (mCheckStates.get(i, false)){
                        String h = name1.get(i) + "|" + phno1.get(i);
                        nameIn.add(h);
                        Log.i("11111", h);
                    }
                }

            name.edit().putStringSet("set", nameIn).apply(); // brevity
            Log.i("chauster3new", "1.set = "+name.getStringSet("set", new HashSet<String>()));
          //  name = getSharedPreferences("namesss", 0);
          //  listName = new ArrayList<>(name.getStringSet("set", new HashSet<String>()));
            //   ma.clear();
            //  ma.addAll(data);
         //   ma.notifyDataSetChanged();

        }

        @Override
        public long getItemId(int position) {
            // TODO Auto-generated method stub

            return 0;
        }

        @Override
        public View getView(final int position, View convertView,
                            ViewGroup parent) {
            // TODO Auto-generated method stub
            View vi = convertView;
            if (convertView == null)
                vi = mInflater.inflate(R.layout.content_contacts, null);
            tv = (TextView) vi.findViewById(R.id.textView1);
            tv1 = (TextView) vi.findViewById(R.id.textView2);
            cb = (CheckBox) vi.findViewById(R.id.checkBox1);
            tv.setText("Name :" + name1.get(position));
            tv1.setText("Phone No :" + phno1.get(position));
            cb.setTag(position);
            cb.setChecked(mCheckStates.get(position, false));
            cb.setOnCheckedChangeListener(this);

            return vi;
        }

        public boolean isChecked(int position) {
            return mCheckStates.get(position, false);
        }

        public void setChecked(int position, boolean isChecked) {
            mCheckStates.put(position, isChecked);
        }

        public void toggle(int position) {
            setChecked(position, !isChecked(position));
        }

        @Override
        public void onCheckedChanged(CompoundButton buttonView,
                                     boolean isChecked) {
            // TODO Auto-generated method stub

            mCheckStates.put((Integer) buttonView.getTag(), isChecked);
        }
    }

}


